> ## Documentation Index
> Fetch the complete documentation index at: https://docs.paycashless.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all invoice payments

> List all invoice payments



## OpenAPI

````yaml GET /v1/invoices/{id}/payments
openapi: 3.0.0
info:
  title: Paycashless API
  version: 1.1.0
servers:
  - url: https://api.paycashless.com
    description: Production
security: []
paths:
  /v1/invoices/{id}/payments:
    get:
      tags:
        - invoices
      description: List all invoice payments
      parameters:
        - schema:
            type: string
            example: inv_ff0c3z37zi40pvc82g74bgsm4q7fubbw
          required: true
          name: id
          in: path
        - schema:
            type: integer
            minimum: 1
            maximum: 100
            default: 10
            description: The number of invoice payments to return
            example: 10
          required: false
          description: The number of invoice payments to return
          name: limit
          in: query
        - schema:
            type: string
          required: false
          name: cursor
          in: query
        - schema:
            type: integer
            minimum: 0
            exclusiveMinimum: true
            description: >-
              Minimum UNIX timestamp(in seconds) of when the invoice payment was
              created (inclusive)
            example: 1712336881
          required: false
          description: >-
            Minimum UNIX timestamp(in seconds) of when the invoice payment was
            created (inclusive)
          name: createdAt.gte
          in: query
        - schema:
            type: integer
            minimum: 0
            exclusiveMinimum: true
            description: >-
              Maximum UNIX timestamp(in seconds) of when the invoice payment was
              created (inclusive)
            example: 1712336881
          required: false
          description: >-
            Maximum UNIX timestamp(in seconds) of when the invoice payment was
            created (inclusive)
          name: createdAt.lte
          in: query
        - schema:
            type: integer
            minimum: 0
            exclusiveMinimum: true
            description: >-
              Maximum UNIX timestamp(in seconds) of when the invoice payment was
              created (exclusive)
            example: 1712336881
          required: false
          description: >-
            Maximum UNIX timestamp(in seconds) of when the invoice payment was
            created (exclusive)
          name: createdAt.lt
          in: query
        - schema:
            type: integer
            minimum: 0
            exclusiveMinimum: true
            description: >-
              Minimum UNIX timestamp(in seconds) of when the invoice payment was
              created (exclusive)
            example: 1712336881
          required: false
          description: >-
            Minimum UNIX timestamp(in seconds) of when the invoice payment was
            created (exclusive)
          name: createdAt.gt
          in: query
        - schema:
            type: string
            minLength: 1
            description: SHA-512 HMAC signature of the request payload using the API secret
            example: >-
              5e73d044c44d733fcf819ad3409aaaddca840d421b69cb0b04e2c750fc62ece7526d36296237663ad1f06f62a730c0466516507196b3ce6567493cc52a7cf63d
          required: true
          description: SHA-512 HMAC signature of the request payload using the API secret
          name: Request-Signature
          in: header
        - schema:
            type: string
            pattern: ^\d{10}$
            description: UNIX timestamp when the request was created (in seconds)
            example: '1712336881'
          required: true
          description: UNIX timestamp when the request was created (in seconds)
          name: Request-Timestamp
          in: header
      responses:
        '200':
          description: Invoice payments retrieved
          content:
            application/json:
              schema:
                type: object
                properties:
                  hasMore:
                    type: boolean
                  cursor:
                    type: string
                    nullable: true
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        amountPaid:
                          type: integer
                        amountRequested:
                          type: integer
                        currency:
                          type: string
                          enum:
                            - NGN
                            - USD
                        invoiceId:
                          type: string
                        intentId:
                          type: string
                        paid:
                          type: boolean
                        liveMode:
                          type: boolean
                        createdAt:
                          type: string
                          format: date-time
                        updatedAt:
                          type: string
                          format: date-time
                      required:
                        - id
                        - amountPaid
                        - amountRequested
                        - currency
                        - invoiceId
                        - intentId
                        - paid
                        - liveMode
                        - createdAt
                        - updatedAt
                required:
                  - hasMore
                  - cursor
                  - data

````